/* =========================
   ROBOTO – CWV OPTIMIZED
   ========================= */

/* 400 – Body / default */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('../fonts/roboto-v50-latin-regular.woff2') format('woff2');
}

/* 700 – Headings / Hero */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url('../fonts/roboto-v50-latin-700.woff2') format('woff2');
}

/*
@font-face {
  font-family: 'Roboto';
  font-weight: 500;
  font-display: swap;
  src: url('../fonts/roboto-v50-latin-500.woff2') format('woff2');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 600;
  font-display: swap;
  src: url('../fonts/roboto-v50-latin-600.woff2') format('woff2');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 800;
  font-display: swap;
  src: url('../fonts/roboto-v50-latin-800.woff2') format('woff2');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 900;
  font-display: swap;
  src: url('../fonts/roboto-v50-latin-900.woff2') format('woff2');
}
*/


/* =========================
   GLOBAL
========================= */

body {
    font-family: 'Roboto', system-ui, -apple-system,"Segoe UI", Arial, sans-serif;
    font-weight: 400;
    line-height: 1.6;
    color: #222222;
    text-rendering: optimizeLegibility;
}

section {
  padding: 50px 0;
}

.theme_color_1 {
    color: #222222;
}

.theme_color_2 {
    color: #FFFFFF;
}

.theme_color_3 {
    color: #CA0511;
}

.theme_btn_1 {
    background: #CA0511;
    color: #FFFFFF;
    border-radius: 0;
    border: 0;
}

.theme_btn_1:hover {
    background: #222222;
    color: #FFFFFF;
    border-radius: 0;
    border: 0;
}

.theme_btn_2 {
    background: #222222;
    color: #FFFFFF;
    border-radius: 0;
    border: 0;
}

.theme_btn_2:hover {
    background: #CA0511;
    color: #FFFFFF;
    border-radius: 0;
    border: 0;
}

.theme_heading {
    font-size: 35px;
    font-weight: 700;
}

/* Top Bar */
.top-bar {
    background: #222222;
    color: #FFFFFF;
    font-size: 14px;
}

.top-bar a {
    color: #FFFFFF;
    text-decoration: none;
}

.top-bar a:hover {
    color: #CA0511;
}

/* Header */
.main-header {
    background: #FFFFFF;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.08);
}

.navbar-brand img {
    height: 65px;
}

.navbar-nav .nav-link {
    color: #222222;
    font-weight: 700;
    font-size: 15px;
}

.navbar-nav .nav-link:hover,
.navbar-nav .nav-link.active {
    color: #CA0511;
}

.dropdown-menu .dropdown-item {
    border-bottom: 1px solid #adb5bd;
}

.dropdown-menu li:last-child .dropdown-item {
    border-bottom: none;
}

.dropdown-item:focus,
.dropdown-item:hover {
    color: #ffffff;
    ;
    background-color: #CA0511;
    ;
}

.dropdown-item.active,
.dropdown-item:active {
    color: #ffffff;
    ;
    background-color: #CA0511;
    ;
    text-decoration: none;
}

/* underline */
.navbar-nav .nav-item {
    position: relative;
}

/* underline hidden */
.navbar-nav .nav-item::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    width: 0%;
    height: 2px;
    background-color: #CA0511;
    transition: width 0.3s ease;
}

/* hover +hover underline */
.navbar-nav .nav-item:hover::after,
.navbar-nav .nav-item:has(.nav-link.active)::after {
    width: 80%;
}

.custom-toggler {
  border: none;
  padding: 4px 8px;
  background: transparent;
}

.custom-toggler span {
  display: block;
  width: 28px;
  height: 3px;
  background: #CA0511;
  margin: 6px 0;
  transition: all 0.3s ease;
}

/* When menu open → cross icon */
.custom-toggler[aria-expanded="true"] span:nth-child(1) {
  transform: rotate(45deg) translate(6px, 6px);
}

.custom-toggler[aria-expanded="true"] span:nth-child(2) {
  opacity: 0;
}

.custom-toggler[aria-expanded="true"] span:nth-child(3) {
  transform: rotate(-45deg) translate(7px, -7px);
}


/* Footer css */
footer {
    background: #222222;
    color: #FFFFFF;
}

footer a {
    color: #FFFFFF;
    text-decoration: none;
}

footer a:hover {
    color: #CA0511;
}

/* =========================
   GLOBAL END
========================= */

/* Hero image */
#hero_slider .hero-img{
  width:100%;
  height:85vh;
  max-height:900px;
  min-height:500px;
  overflow: hidden;
  object-fit:cover;
}

#hero_slider .hero_slider_btn {
    padding: 10px 15px;
}
#hero_slider .hero_slider_heading{
    font-size: 40px;
    line-height: 1.4;
}
#hero_slider .carousel-caption {
    top: 5%;
    left: 5%;
}

/* ===== NEXT / PREV BUTTONS ===== */
#hero_slider .carousel-control-prev,
#hero_slider .carousel-control-next {
  width: 3%;
}

#hero_slider .carousel-control-prev {
  left: 1%;
}

#hero_slider .carousel-control-next {
  right: 1%;
}

/* Buttons icon size */
#hero_slider .carousel-control-prev-icon,
#hero_slider .carousel-control-next-icon {
  background-size: 2rem 2rem; 
}
/* ===== Carousel Indicators (dots) ===== */
#hero_slider .carousel-indicators [data-bs-target] {
  background-color: #fff;      
  opacity: 0.5;              
}

#hero_slider .carousel-indicators .active {
  background-color: #000;  
  opacity: 1;
}

/* ===== Carousel Controls (prev / next arrows) ===== */
#hero_slider .carousel-control-prev-icon,
#hero_slider .carousel-control-next-icon {
  filter: invert(0);            /* make icon black */
  background-color: transparent; /* remove default bg if any */
}

/* Optional: arrow size tweak */
#hero_slider .carousel-control-prev-icon,
#hero_slider .carousel-control-next-icon {
  width: 2rem;
  height: 2rem;
}

/* Content box */
/*#hero_slider .carousel-caption .hero-content {*/
/*  max-width: 550px;   */
/*}*/

#hero_slider .carousel-indicators .active {
  background-color: #CA0511;  
  opacity: 1;
}

/*Slider End*/


/**/
.about_img{
  width:450px;  
  height:auto;
}

#whatwedo .border:hover {
  box-shadow: 0 .5rem 1.5rem rgba(0,0,0,.1);
}



/* ===== Parsley Validation ===== */

/* Error message */
.parsley-errors-list {
  margin: 4px 0 0;
  padding: 0;
  list-style: none;
  color: #dc3545; /* Bootstrap danger */
  font-size: 0.85rem;
}

/* Hide when no error */
.parsley-errors-list.filled {
  display: block;
}

/* Error input border */
input.parsley-error,
select.parsley-error,
textarea.parsley-error {
  border-color: #dc3545;
}

/* Success input border */
input.parsley-success,
select.parsley-success,
textarea.parsley-success {
  border-color: #198754;
}
/*Bootstrap style feedback look*/
.parsley-errors-list li {
  font-size: 0.875em;
  color: #dc3545;
}


